ランタイム: Mix::Scene::IMotionController Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IMotionController Class Referenceabstract

モーションコントローラーインターフェース More...

`#include <IMotionController.h>`

Inheritance diagram for Mix::Scene::IMotionController:
[legend]
Collaboration diagram for Mix::Scene::IMotionController:
[legend]

## Public Member Functions

virtual const wchar_t * | GetName (void) const =0
| 名前を取得します More...
virtual UInt32 | GetPriority (void) const =0
| プライオリティを取得します More...
virtual UInt32 | GetHandleCount (void) const =0
| モーションのハンドル数を取得します More...
virtual Mix::Scene::MOTION_HANDLE | GetHandleByIndex (UInt32 index) const =0
| モーションのハンドルを取得します More...
virtual Mix::Scene::MOTION_HANDLE | GetHandleByName (const wchar_t *pName) const =0
| モーションのハンドルを取得します More...
virtual Mix::Scene::MOTION_HANDLE | Add (Mix::Scene::IMotion *pMotion)=0
| モーションを追加します More...
virtual Boolean | Remove (const Mix::Scene::MOTION_HANDLE &handle)=0
| モーションを削除します More...
virtual Boolean | Get (const Mix::Scene::MOTION_HANDLE &handle, Mix::Scene::IMotion **ppMotion)=0
| モーションを取得します More...
virtual Boolean | GetState (const Mix::Scene::MOTION_HANDLE &handle, Mix::Scene::IMotionState **ppMotionState)=0
| モーションステートを取得します More...
virtual void | SetListener (Mix::Scene::IMotionListener *pListener)=0
| 全てのモーションにリスナーを設定します More...
virtual Boolean | SetListener (const Mix::Scene::MOTION_HANDLE &handle, Mix::Scene::IMotionListener *pListener)=0
| モーションにリスナーを設定します More...
virtual void | SendCommand (Mix::Scene::MOTION_COMMAND_EXECUTE_TYPE exeType, const Mix::Scene::MOTION_COMMAND &com)=0
| コマンドを送信します More...
virtual UInt32 | GetCommandCount (void) const =0
| 待機中のコマンド数を取得します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IMotionController (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

モーションコントローラーインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::IMotionController::~IMotionController | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual const wchar_t* Mix::Scene::IMotionController::GetName | ( | void |  | ) | const

pure virtual

名前を取得します

Returns
  名前を返します

virtual UInt32 Mix::Scene::IMotionController::GetPriority | ( | void |  | ) | const

pure virtual

プライオリティを取得します

Returns
  プライオリティを返します

virtual UInt32 Mix::Scene::IMotionController::GetHandleCount | ( | void |  | ) | const

pure virtual

モーションのハンドル数を取得します

Returns
  モーションのハンドル数を取得します。

virtual Mix::Scene::MOTION_HANDLE Mix::Scene::IMotionController::GetHandleByIndex | ( | UInt32 | index | ) | const

pure virtual

モーションのハンドルを取得します

Parameters

  [in] | index | モーションのインデックス

Returns
  モーションのハンドルを表す Mix::Scene::MOTION_HANDLE 構造体を返します

virtual Mix::Scene::MOTION_HANDLE Mix::Scene::IMotionController::GetHandleByName | ( | const wchar_t * | pName | ) | const

pure virtual

モーションのハンドルを取得します

Parameters

  [in] | pName | モーションの名前

Returns
  モーションのハンドルを表す Mix::Scene::MOTION_HANDLE 構造体を返します

virtual Mix::Scene::MOTION_HANDLE Mix::Scene::IMotionController::Add | ( | Mix::Scene::IMotion * | pMotion | ) |

pure virtual

モーションを追加します

Parameters

  [in] | pMotion | 追加するモーションを表す Mix::Scene::IMotion インターフェースのポインタ

Returns
  モーションのハンドルを表す Mix::Scene::MOTION_HANDLE 構造体を返します

Note
  追加に成功した場合、モーションの参照カウンタを +1 します

virtual Boolean Mix::Scene::IMotionController::Remove | ( | const Mix::Scene::MOTION_HANDLE & | handle | ) |

pure virtual

モーションを削除します

Parameters

  [in] | handle | モーションのハンドルを表す Mix::Scene::MOTION_HANDLE 構造体

Returns
  削除に成功した場合は True を返します

Note
  削除に成功した場合、モーションの参照カウンタを -1 します

virtual Boolean Mix::Scene::IMotionController::Get | ( | const Mix::Scene::MOTION_HANDLE & | handle,
|  | Mix::Scene::IMotion ** | ppMotion
| ) |  |

pure virtual

モーションを取得します

Parameters

  [in] | handle | 取得するモーションのハンドルを表す Mix::Scene::MOTION_HANDLE 構造体
  [out] | ppMotion | 取得したモーションを渡す Mix::Scene::IMotion インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  取得に成功した場合は、モーションの参照カウンタを +1 します

virtual Boolean Mix::Scene::IMotionController::GetState | ( | const Mix::Scene::MOTION_HANDLE & | handle,
|  | Mix::Scene::IMotionState ** | ppMotionState
| ) |  |

pure virtual

モーションステートを取得します

Parameters

  [in] | handle | 取得するモーションステートのハンドルを表す Mix::Scene::MOTION_HANDLE 構造体
  [out] | ppMotionState | 取得したモーションステートを渡す Mix::Scene::IMotionState インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  取得に成功した場合は、モーションステートの参照カウンタを +1 します

virtual void Mix::Scene::IMotionController::SetListener | ( | Mix::Scene::IMotionListener * | pListener | ) |

pure virtual

全てのモーションにリスナーを設定します

Parameters

  [in] | pListener | 設定するリスナーを表す Mix::Scene::IMotionListener インターフェースのポインタ

Note
  pListener に NULL を指定することでリスナーを解除することができます

virtual Boolean Mix::Scene::IMotionController::SetListener | ( | const Mix::Scene::MOTION_HANDLE & | handle,
|  | Mix::Scene::IMotionListener * | pListener
| ) |  |

pure virtual

モーションにリスナーを設定します

Parameters

  [in] | handle | リスナーを設定するモーションのハンドル
  [in] | pListener | 設定するリスナーを表す Mix::Scene::IMotionListener インターフェースのポインタ

Returns
  成功した場合は True を返します

Note
  pListener に NULL を指定することでリスナーを解除することができます

virtual void Mix::Scene::IMotionController::SendCommand | ( | Mix::Scene::MOTION_COMMAND_EXECUTE_TYPE | exeType,
|  | const Mix::Scene::MOTION_COMMAND & | com
| ) |  |

pure virtual

コマンドを送信します

Parameters

  [in] | exeType | コマンドの実行タイプを表す Mix::Scene::MOTION_COMMAND_EXECUTE_TYPE 列挙定数
  [in] | com | コマンドを表す Mix::Scene::MOTION_COMMAND 構造体

Note
  コマンドは最大３つまで待機させることができ、空きが無い場合は、最後(３つ目)のコマンドを上書きします。

virtual UInt32 Mix::Scene::IMotionController::GetCommandCount | ( | void |  | ) | const

pure virtual

待機中のコマンド数を取得します

Returns
  コマンド数を返します

The documentation for this class was generated from the following file:

- Mix/Scene/IMotionController.h